package com.abi.qms.platform.service.impl;

import com.abi.qms.platform.dao.mapper.ReportServiceMapper;
import com.abi.qms.platform.dao.vo.result.ListReportVO;
import com.abi.qms.platform.dto.req.ReportReq;
import com.abi.qms.platform.dto.res.ListQrVariableRes;
import com.abi.qms.platform.dto.res.ListReportRes;
import com.abi.qms.platform.service.ReportService;
import com.abi.task.common.utils.PojoConverterUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ludashi
 * @date 2021年06月02日 15:39
 */
@Service
public class ReportServiceImpl implements ReportService {

    @Autowired
    private ReportServiceMapper reportServiceMapper;

    /**
     *
     * @author ludashi
     * @date 2021/6/2 16:06
     */
    @Override
    public ListReportRes queryBrandCodeProportion(ReportReq reportReq) {
        List<ListReportVO> listReportVOS = reportServiceMapper.queryBrandCodeProportion(reportReq);
        // 封装出参
        ListReportRes res = new ListReportRes();
        List<ListReportRes.ReportRes> reportRes = PojoConverterUtils.copyList(listReportVOS, ListReportRes.ReportRes.class);
        res.setReportResList(reportRes);
        return res;
    }
}
